import { NgModule } from '@angular/core';

import { SharedModule } from '../../shared/shared.module';
import { CommonModule }        from '@angular/common';
import {ClaimResultSearchFormComponent} from './claimResultSearchForm.component';
import {ClaimResultsModule} from './claimResults.module';

import {SearchDataciteServiceModule} from './service/searchDataciteService.module';

import {SearchCrossrefServiceModule} from './service/searchCrossrefService.module';
import {SearchOrcidService} from './service/searchOrcid.service';

import {SearchResearchResultsServiceModule} from '../../services/searchResearchResultsService.module';
import {PagingModule } from '../../utils/paging.module';
import {HelperModule} from '../../utils/helper/helper.module';
import {SearchFilterModule} from '../../searchPages/searchUtils/searchFilter.module';

 @NgModule({
  imports: [SharedModule, CommonModule, SearchResearchResultsServiceModule, PagingModule, SearchCrossrefServiceModule,
    SearchDataciteServiceModule, HelperModule, SearchFilterModule, ClaimResultsModule],
  providers:[
     SearchOrcidService
  ],
  declarations: [
     ClaimResultSearchFormComponent

  ],
  exports: [ClaimResultSearchFormComponent ]
})
export class ClaimResultSearchFormModule { }
