import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule} from '@angular/router';

import {ContactUsComponent} from './contact-us.component';
import {RecaptchaModule} from "ng-recaptcha";
import {ReactiveFormsModule} from "@angular/forms";

@NgModule({
    imports: [
        CommonModule, RouterModule,
        RecaptchaModule.forRoot(), ReactiveFormsModule],
    declarations: [
        ContactUsComponent
    ],
    providers: [],
    exports: [
        ContactUsComponent
    ]
})

export class ContactUsModule {
}
