import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import{AdvancedSearchOrganizationsComponent} from './advancedSearchOrganizations.component';


import {OrganizationsServiceModule} from '../../services/organizationsService.module';
 import {AdvancedSearchPageModule} from '../searchUtils/advancedSearchPage.module';
 import {FreeGuard} from'../../login/freeGuard.guard';
 import {IsRouteEnabled} from '../../error/isRouteEnabled.guard';

@NgModule({
  imports: [
    CommonModule, FormsModule,
    OrganizationsServiceModule,
    AdvancedSearchPageModule

  ],
  declarations: [
    AdvancedSearchOrganizationsComponent
   ],
  providers:[FreeGuard, IsRouteEnabled],
  exports: [
    AdvancedSearchOrganizationsComponent
     ]
})
export class AdvancedSearchOrganizationsModule { }
