import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import {SearchDataproviderMapComponent} from './searchDataproviderMap.component';
import {AlertModalModule} from '../../utils/modal/alertModal.module';
import {IFrameModule} from '../../utils/iframe.module';

@NgModule({
  imports: [
    CommonModule, FormsModule, AlertModalModule, IFrameModule
  ],
  declarations: [
    SearchDataproviderMapComponent
],

  providers:[
  ],
  exports: [
    SearchDataproviderMapComponent

    ]
})
export class SearchDataproviderMapModule { }
