import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import {SearchFilterComponent} from './searchFilter.component';
import{SearchFilterModalComponent} from './searchFilterModal.component';
import {ModalModule} from '../../utils/modal/modal.module';

@NgModule({
  imports: [
    CommonModule, FormsModule, ModalModule
  ],
  declarations: [
    SearchFilterComponent, SearchFilterModalComponent
],

  providers:[
  ],
  exports: [
    SearchFilterComponent, SearchFilterModalComponent

    ]
})
export class SearchFilterModule { }
