import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';
import {RouterModule} from '@angular/router';

import {ErrorMessagesModule} from '../../utils/errorMessages.module';
import {SearchResultComponent} from './searchResult.component';
import {ApprovedByCommunityModule} from '../../connect/approvedByCommunity/approved.module';
import {ShowAuthorsModule} from "../../utils/authors/showAuthors.module";

@NgModule({
  imports: [
    CommonModule, FormsModule,
    RouterModule, ErrorMessagesModule,
    ApprovedByCommunityModule,
    ShowAuthorsModule
  ],
  declarations: [
    SearchResultComponent
  ],
  providers:[
  ],
  exports: [
    SearchResultComponent
  ]
})
export class SearchResultsModule { }
