import { NgModule }            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';
import {  RouterModule } from "@angular/router";

import {BottomComponent} from './bottom.component';
import { ConfigurationServiceModule } from '../utils/configuration/configurationService.module';

@NgModule({
  imports: [
    CommonModule, FormsModule, RouterModule, ConfigurationServiceModule

  ],
  declarations: [
    BottomComponent
  ],

  exports: [
    BottomComponent
    ]
})
export class BottomModule{ }
