import { DivId } from './divId';
import {Community} from './community';

export interface DivHelpContent {
    _id: string;
    divId: DivId | string;
    community: string | Community;
    content: string;
    isActive: boolean;
}

export interface CheckDivHelpContent {
    divHelpContent : DivHelpContent;
    checked : boolean;
}

export interface DivHelpContentFilterOptions {
    id : string;
    active : Boolean;
    text : RegExp;
}
