export class EnvProperties {
  environment: string; //{beta,test,production, development}
  dashboard:string; //{explore, connect, monitor}
  domain: string;
  enablePiwikTrack: boolean;
  useCache: boolean;
  showContent: boolean;

  metricsAPIURL;
  framesAPIURL;
  statisticsFrameAPIURL;
  statisticsFrameNewAPIURL;
  useNewStatistisTool: boolean;
  statisticsAPIURL;

  claimsAPIURL;

  searchAPIURLLAst;

  searchResourcesAPIURL;

  openCitationsAPIURL;

  csvAPIURL;

  searchCrossrefAPIURL;

  searchDataciteAPIURL;

  searchOrcidURL;
  orcidURL;
  doiURL;
  cordisURL;
  openDoarURL;
  r3DataURL;

  // Zenodo's url
  zenodo;
  zenodoCommunities;
  // Open access link
  openAccess;
  // Open access repository link
  openAccessRepo;
  // FP7 link
  fp7Guidlines;
  // H2020 link
  h2020Guidlines;
  // ERC Guidlines
  ercGuidlines;
  // helpdesk link
  helpdesk;

  utilsService;

  vocabulariesAPI;

  piwikBaseUrl;
  piwikSiteId;


  loginUrl;

  logoutUrl;

  userInfoUrl;

  cookieDomain;

  feedbackmail;
  feedbackmailForMissingEntities;

  cacheUrl;

  monitorServiceAPIURL;
  adminToolsAPIURL;


  adminToolsCommunity;
  contextsAPI;
  communityAPI;
  communitiesAPI;
  datasourcesAPI;
  miningBackendURL;

  csvLimit: number;
  pagingLimit: number;
  resultsPerPage: number;

  //base url
  baseLink;
  //base url for OpenAIRE portal
  baseOpenaireLink;

  // after login redirect Link
  afterLoginRedirectLink;

  //landing Pages

  searchLinkToPublication;
  searchLinkToProject;
  searchLinkToDataProvider;
  searchLinkToDataset;
  searchLinkToSoftwareLanding;
  searchLinkToOrp;
  searchLinkToOrganization;
  //Search pages
  searchLinkToCommunities;
  searchLinkToPublications;
  searchLinkToDataProviders;
  searchLinkToProjects;
  searchLinkToDatasets;
  searchLinkToSoftware;
  searchLinkToOrps;
  searchLinkToOrganizations;
  searchLinkToCompatibleDataProviders;
  searchLinkToEntityRegistriesDataProviders;
  searchLinkToEntityRegistriesDataProvidersTable;
  searchLinkToJournals;
  searchLinkToJournalsTable;

  //Advanced Search for pages
  searchLinkToAdvancedPublications;
  searchLinkToAdvancedProjects;
  searchLinkToAdvancedDatasets;
  searchLinkToAdvancedSoftware;
  searchLinkToAdvancedOrps;
  searchLinkToAdvancedDataProviders;
  searchLinkToAdvancedOrganizations;


  lastIndexInformationLink;
  showLastIndexInformationLink;

  widgetLink;
  claimsInformationLink;

  depositLearnHowPage;
  depositSearchPage;
  shareInZenodoPage;

  // recaptcha site key
  reCaptchaSiteKey;

  // contact us recipients
  admins;

  lastIndexUpdate: string;
  indexInfoAPI: string;
}
