import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';
import { RouterModule } from '@angular/router';

import{ReloadRoutingModule } from './reload-routing.module';
import{ReloadComponent} from './reload.component';


 import {FreeGuard} from'../login/freeGuard.guard';
import {PreviousRouteRecorder} from '../utils/piwik/previousRouteRecorder.guard';

@NgModule({
  imports: [
    CommonModule, FormsModule, RouterModule,
      ReloadRoutingModule

  ],
  declarations: [
    ReloadComponent
   ],
  providers:[
    FreeGuard, PreviousRouteRecorder
    ],
  exports: [
    ReloadComponent
     ]
})
export class ReloadModule { }
