import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import{AdvancedSearchDataProvidersComponent} from './advancedSearchDataProviders.component';


import {DataProvidersServiceModule} from '../../services/dataProvidersService.module';
 import {AdvancedSearchPageModule} from '../searchUtils/advancedSearchPage.module';
 import {FreeGuard} from'../../login/freeGuard.guard';
 import {IsRouteEnabled} from '../../error/isRouteEnabled.guard';

@NgModule({
  imports: [
    CommonModule, FormsModule,
    DataProvidersServiceModule,
     AdvancedSearchPageModule

  ],
  declarations: [
    AdvancedSearchDataProvidersComponent
   ],
  providers:[FreeGuard, IsRouteEnabled],
  exports: [
    AdvancedSearchDataProvidersComponent
     ]
})
export class AdvancedSearchDataProvidersModule { }
