import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import{AdvancedSearchProjectsComponent} from './advancedSearchProjects.component';


import {ProjectsServiceModule} from '../../services/projectsService.module';
 import {AdvancedSearchPageModule} from '../searchUtils/advancedSearchPage.module';
 import {FreeGuard} from'../../login/freeGuard.guard';
 import {IsRouteEnabled} from '../../error/isRouteEnabled.guard';

@NgModule({
  imports: [
    CommonModule, FormsModule,
    ProjectsServiceModule,
    AdvancedSearchPageModule

  ],
  declarations: [
    AdvancedSearchProjectsComponent
   ],
  providers:[FreeGuard, IsRouteEnabled],
  exports: [
    AdvancedSearchProjectsComponent
     ]
})
export class AdvancedSearchProjectsModule { }
