import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import{SearchCompatibleDataprovidersTableComponent} from './compatibleDataProvidersTable.component';


import {DataProvidersServiceModule} from '../../services/dataProvidersService.module';
import {SearchFormModule} from  '../searchUtils/searchForm.module';
import {SearchPageTableViewModule} from '../searchUtils/searchPageTableView.module';

@NgModule({
  imports: [
    CommonModule, FormsModule,
    DataProvidersServiceModule,
     SearchFormModule, SearchPageTableViewModule

  ],
  declarations: [
    SearchCompatibleDataprovidersTableComponent
   ],
  exports: [
    SearchCompatibleDataprovidersTableComponent
     ]
})
export class CompatibleDataProvidersTableModule { }
