import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import{SearchJournalsComponent} from './journals.component';

import {SearchResultsModule } from '../searchUtils/searchResults.module';

import {DataProvidersServiceModule} from '../../services/dataProvidersService.module';
import {SearchFormModule} from  '../searchUtils/searchForm.module';
import {SearchPageModule} from '../searchUtils/searchPage.module';

@NgModule({
  imports: [
    CommonModule, FormsModule,
    DataProvidersServiceModule,
     SearchFormModule, SearchResultsModule, SearchPageModule

  ],
  declarations: [
    SearchJournalsComponent
   ],
  exports: [
    SearchJournalsComponent
     ]
})
export class JournalsModule { }
