import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import{SearchDataprovidersComponent} from './searchDataproviders.component';

import {SearchResultsModule } from '../searchUtils/searchResults.module';

import {DataProvidersServiceModule} from '../../services/dataProvidersService.module';
import {SearchFormModule} from  '../searchUtils/searchForm.module';
//import {SearchFilterModalModule} from '../searchUtils/searchFilterModal.module';
import {SearchPageModule} from '../searchUtils/searchPage.module';
import {FreeGuard} from'../../login/freeGuard.guard';
import {IsRouteEnabled} from '../../error/isRouteEnabled.guard';

@NgModule({
  imports: [
    CommonModule, FormsModule,

    DataProvidersServiceModule,
     SearchFormModule, SearchResultsModule, SearchPageModule

  ],
  declarations: [
    SearchDataprovidersComponent
   ],
  providers:[FreeGuard, IsRouteEnabled],
  exports: [
    SearchDataprovidersComponent
     ]
})
export class SearchDataProvidersModule { }
