export class ProjectInfo {
    id:string;
    acronym: string;
    title: string;
    callIdentifier: string;
    funder: string;
    funding: string;
    contractNum: string;
    startDate: string;
    endDate: string;
    openAccessMandatePublications: string;
    openAccessMandateDatasets: string;
    specialClause39: string;
    organizations: { "acronym": string, "name": string, "id": string }[];//Map<string, string>;
    url: string;
    urlInfo: string;

    //publications: any;
    researchData: any;
    statistics: any;

    totalPublications: number;
    totalDatasets: number;
    publicationsStatus: any;
}
